%invoke wia.pub.issprofiler.ui.exportToFile:getMetadata%
   <html>
      <head>
         <meta http-equiv="Pragma"        content="no-cache">
         <meta http-equiv='Content-Type'  content='text/html; charset=UTF-8'>
         <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css">
         <link rel="stylesheet" type="text/css" href="issprofiler.css">
         %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
            %loop StyleMetadata/additionalCssFiles%
               <link rel="stylesheet" type="text/css" href="%value%">
            %end%
         %end invoke%
         <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
         <script type="text/javascript" src="scripts/wia4dom.js"></script>
         <title>IS Service Profiler - Export To File</title>

         <script type="text/javascript">
            <!-- // Activate cloak

            function validateSubmit()
            /*****************************/{
               var xResult       = false;
               var xOptionValue  = document.frmExportToFile.selectedFileType.value;

               if (xOptionValue == "none")
                  alert("Select a valid file type.");
               else
                  xResult = true;

               if (xResult)
                  // IE6 makes it mandatory to always set the action value... not only when it changes from the default
                  if (getRadioValue(document.frmExportToFile.kind) == 0)
                     document.frmExportToFile.action="/invoke/wia.pub.issprofiler.ui.exportToFile/download";
                  else
                     document.frmExportToFile.action="ExportGeneratedFile.dsp";

               return xResult;
            }

            function fileTypeChanged()
            /*****************************/{
               var xOptionValue  = document.frmExportToFile.selectedFileType.value;
               var xCSV_Options  = getElementsByName("span", "csvProperty");
               var xXML_Options  = getElementsByName("span", "xmlProperty");

               for(xIdx = 0; xIdx < xCSV_Options.length; xIdx++)
                  if (xOptionValue == "0")            // XML
                     {
                     xCSV_Options[xIdx].style.display = "none";
                     xXML_Options[xIdx].style.display = "block";
                     }
                  else if (xOptionValue == "1")       // CSV
                     {
                     xCSV_Options[xIdx].style.display = "block";
                     xXML_Options[xIdx].style.display = "none";
                     }
                  else
                     {
                     xXML_Options[xIdx].style.display = "none";
                     xCSV_Options[xIdx].style.display = "none";
                     }

               return true;
            }

            // Deactivate cloak -->
         </script>
      </head>

      <body style="border: 0px;" onload="fileTypeChanged(); setNavigation('ExportToFile.dsp', 'doc/OnlineHelp/PackageHelp.html#export2file', 'foo');">
         <table width="100%">
            <tr>
               <td class="menusection-ExportSnapshot" colspan="2">Export To File</td>
            </tr>
         </table>
         <p>
         <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->
            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>
                     <table name="tblExportToFile">
                        %ifvar validationMessage%
                           <tr>
                              <td class="message">
                                 %value validationMessage%
                              </td>
                           </tr>
                           <tr> <td> &nbsp; </td> </tr>
                        %endif%
                        <tr class="heading">
                           <td> Export To File Options </td>
                        </tr>
                        <form name="frmExportToFile" method="post" action="ExportGeneratedFile.dsp">
                           <tr>
                              <td class="oddrow-l">
                                 <table>
                                    <tr>
                                       <td width="10"> </td>
                                       <td class="oddrow">
                                          File Type:
                                       </td>
                                       <td class="oddrow-l">
                                          <select name="selectedFileType" onchange="fileTypeChanged();">
                                             <option selected value="none"> &lt;select one&gt; </option>
                                             %loop ExportToFileMetadata/FileTypes%
                                                <option value="%value id%"> %value displayName% </option>
                                             %end loop%
                                          </select>
                                       </td>
                                       <td class="oddrow" width="26">
                                          %ifvar isLoadFromXMLFile equals('true')%
                                             <img src="images/snapshot-from-xml-file.gif" />
                                          %endif%
                                       </td>
                                       <td class="oddrow" width="26">
                                          %ifvar frozen equals('true')%
                                             <img src="images/snapshot-frozen.gif" />
                                          %endif%
                                       </td>
                                       <td width="10"> </td>
                                    </tr>
                                    <tr>
                                       <td width="10"> </td>
                                       <td class="oddrow" width="160">
                                          <span name="xmlProperty">HTML-encode the data:</span>
                                          <span name="csvProperty">Column names in first row:</span>
                                       </td>
                                       <td class="oddrow-l" colspan="2">
                                          <span name="xmlProperty"><input type="checkbox" name="encode" checked></span>
                                          <span name="csvProperty"><input type="checkbox" name="withHeaders" checked></span>
                                       </td>
                                       <td width="10"> </td>
                                    </tr>
                                    <tr><td colspan="7"> </td> </tr>
                                    <tr>
                                       <td> </td>
                                       <td class="oddrow">
                                          Stream to download:
                                       </td>
                                       <td class="oddrow-l" colspan="2">
                                          <input type="radio" name="kind" value="0" checked>
                                       </td>
                                       <td> </td>
                                    </tr>
                                    <tr>
                                       <td> </td>
                                       <td class="oddrow">
                                          Generate file &amp; link:
                                       </td>
                                       <td class="oddrow-l" colspan="2">
                                          <input type="radio" name="kind" value="1">
                                       </td>
                                       <td> </td>
                                    </tr>
                                    <tr><td colspan="7"> </td> </tr>
                                 </table>
                              </td>
                           </tr>
                           <tr>
                              <td class="action">
                                 <input type="submit" name="action" value="Execute" onclick="return validateSubmit();">
                              </td>
                           </tr>
                        </form>
                     </table>
                  </td>
               </tr>
            %endif%
         </table>
      </body>
   </html>
%onerror%
   <html>
      <head>
         <title>Access Denied</title>
      </head>
     <body>
         Access Denied.
         <br>
         <br>
         Services necessary to show this page are currently unavailable on this
         port.  This is most likely due to port security restrictions.
         <br>
         <br>
         If this is the only port available to access the B2B Server, contact webMethods Support.
      </body>
   </html>
%endinvoke%
