<html>
   <head>
      <meta http-equiv="Pragma" content="no-cache">
      <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
      <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      %end invoke%
      <title>IS Service Profiler - Dashboard - Code Coverage</title>
      <script type="text/javascript" src="scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
   </head>
   <body>
      <table width="100%">
         <tr>
            <td class="menusection-Dashboard" colspan="2">Dashboard &gt; Code Coverage &gt; Package Services</td>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="CodeCoverage.dsp?alsoWithoutServices=%value alsoWithoutServices%">Back to Code Coverage</a>
               </ul>
            <td>
         </tr>
      </table>
      <p>

      <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.pub.issprofiler.ui.codeCoverage:getPackageDetail%

            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>

                     <table name="DataDetail" sortable="true" id="unique_id">
                        <thead>
                           %ifvar validationMessage%
                              <tr>
                                 <td class="message" colspan="2">
                                    %value validationMessage%
                                 </td>
                              </tr>
                              <tr> <td colspan="2"> &nbsp; </td> </tr>
                           %endif%

                           <tr class="heading">
                              <td colspan="2"> Services From Package '%value packageName%' </td>
                           </tr>

                           %ifvar frozen equals('true')%
                              <tr>
                                 <td class="oddrowdata-r" colspan="2">
                                    %ifvar isLoadFromXMLFile equals('true')%
                                       <img src="images/snapshot-from-xml-file.gif" />
                                    %endif%
                                    <img src="images/snapshot-frozen.gif" />
                                 </td>
                              </tr>
                           %endif%

                           <tr>
                              <td class="columnHeading"   sortable="true"> Service Name </td>
                              <td class="columnHeading-c" sortable="true"> Used?        </td>
                           </tr>
                        </thead>

                        <tbody>
                           %loop ServicesUsage%
                              <tr>
                                 <script type="text/javascript">
                                    writeTag_TD("%value serviceName%"   , "row-l"  , null, true );
                                    %ifvar hasBeenUsed equals('true')%
                                       writeTag_TD("Yes"                , "rowdata", null, false);
                                    %else%
                                       writeTag_TD("No"                 , "rowdata", null, false);
                                    %endif%
                                 </script>
                              </tr>
                           %end loop%
                        <tbody>

                        <!-- Print table footer -->
                        <tfooter>
                           <tr>
                              <td class="columnFooter-r" colspan="2">&nbsp;</td>
                           </tr>
                        </tfooter>
                     </table>

                  </td>
               </tr>
            %endif%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br>
                  %value errorMessage%
               </td>
            </tr>
         %endinvoke%
      </table>

   </body>
</html>
